Name:		python-recommonmark
Version:	0.6.0
Release:	1
Summary:	A docutils-compatibility bridge to CommonMark, enabling you to write CommonMark inside of Docutils & Sphinx projects.
License:	MIT
URL:		https://github.com/rtfd/recommonmark
Source0:	https://files.pythonhosted.org/packages/f5/71/046160d730f664662d65b3f8b399b519ad378ffa4369ff3b6060cf1318d7/recommonmark-0.6.0.tar.gz
BuildArch:	noarch

Requires:	python3-commonmark >= 0.8.1
Requires:	python3-docutils >= 0.11
Requires:	python3-sphinx >= 1.3.1

%description


%package -n python3-recommonmark
Summary:	A docutils-compatibility bridge to CommonMark, enabling you to write CommonMark inside of Docutils & Sphinx projects.
Provides:	python-recommonmark
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-recommonmark


%package help
Summary:	Development documents and examples for recommonmark
Provides:	python3-recommonmark-doc
%description help


%prep
%autosetup -n recommonmark-0.6.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%files -n python3-recommonmark -f filelist.lst
%dir %{python3_sitelib}/*

%files help
%{_pkgdocdir}

%changelog
* Thu Jun 04 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
